package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.AccountGroupDTO;

import java.util.List;

/**
 * 账号分组
 * @ClassName: AccountGroupApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/10/28 4:09 PM 
 */
public interface AccountGroupApiService {

    /**
     * 账号分组新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> save(AccountGroupDTO dto);

    /**
     * 编辑账号分组
     * @Title: update 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> update(AccountGroupDTO dto);

    /**
     * 查询账号分组列表数据
     * @Title: listAccountGroupByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.auth.dto.AccountGroupDTO>> 
      */
    ServiceResponse<List<AccountGroupDTO>> listAccountGroupByEnterpriseId(Integer enterpriseId);

    /**
     * 删除账号分组，并且删除分组内的组员关系
     * @Title: deleteByAccountGroupId 
     * @Description:
      * @author guojuxing
     * @param accountGroupId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> deleteByAccountGroupId(Integer accountGroupId);
}
