package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabSysAccountGroupMapper;
import com.gic.auth.dto.AccountGroupDTO;
import com.gic.auth.entity.TabSysAccountGroup;
import com.gic.auth.service.AccountGroupService;
import com.gic.commons.util.EntityUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("AccountGroupService")
public class AccountGroupServiceImpl implements AccountGroupService{
    @Autowired
    private TabSysAccountGroupMapper tabSysAccountGroupMapper;
    @Override
    public int save(AccountGroupDTO dto) {
        dto.setStatus(1);
        dto.setCreateTime(new Date());
        dto.setUpdateTime(new Date());
        TabSysAccountGroup record = EntityUtil.changeEntityNew(TabSysAccountGroup.class, dto);
        return tabSysAccountGroupMapper.insert(record);
    }

    @Override
    public int update(AccountGroupDTO dto) {
        dto.setUpdateTime(new Date());
        TabSysAccountGroup record = EntityUtil.changeEntityNew(TabSysAccountGroup.class, dto);
        return tabSysAccountGroupMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int getMaxSortValueByEnterpriseId(Integer enterpriseId) {
        return tabSysAccountGroupMapper.getMaxSortValueByEnterpriseId(enterpriseId);
    }

    @Override
    public boolean isAccountGroupNameRepeat(Integer enterpriseId, Integer accountGroupId, String accountGroupName) {
        int count = tabSysAccountGroupMapper.countByAccountGroupName(enterpriseId, accountGroupId, accountGroupName);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public TabSysAccountGroup getById(Integer accountGroupId) {
        return tabSysAccountGroupMapper.selectByPrimaryKey(accountGroupId);
    }

    @Override
    public List<TabSysAccountGroup> listAccountGroupByEnterpriseId(Integer enterpriseId) {
        return tabSysAccountGroupMapper.listAccountGroupByEnterpriseId(enterpriseId);
    }

    @Override
    public int updateStatusByAccountGroupId(Integer accountGroupId) {
        TabSysAccountGroup record = new TabSysAccountGroup();
        record.setAccountGroupId(accountGroupId);
        record.setStatus(0);
        return tabSysAccountGroupMapper.updateByPrimaryKeySelective(record);
    }
}
